Package com.sun.ts.lib.util.sec.security.util

# Class SecurityConstants

java.lang.Object
com.sun.ts.lib.util.sec.security.util.SecurityConstants

public final class SecurityConstants extends Object
Permission constants and string constants used to create permissions used throughout the JDK.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final AWTPermission`
  `ACCESS_CLIPBOARD_PERMISSION`
  `static final AWTPermission`
  `ACCESS_SYSTEM_TRAY_PERMISSION`
  `static final AWTPermission`
  `ALL_AWT_EVENTS_PERMISSION`
  `static final AllPermission`
  `ALL_PERMISSION`
  `static final AWTPermission`
  `CHECK_AWT_EVENTQUEUE_PERMISSION`
  `static final RuntimePermission`
  `CHECK_MEMBER_ACCESS_PERMISSION`
  `static final SecurityPermission`
  `CREATE_ACC_PERMISSION`
  `static final RuntimePermission`
  `CREATE_CLASSLOADER_PERMISSION`
  `static final AWTPermission`
  `CREATE_ROBOT_PERMISSION`
  `static final AuthPermission`
  `DO_AS_PERMISSION`
  `static final AuthPermission`
  `DO_AS_PRIVILEGED_PERMISSION`
  `static final String`
  `FILE_DELETE_ACTION`
  `static final String`
  `FILE_EXECUTE_ACTION`
  `static final String`
  `FILE_READ_ACTION`
  `static final String`
  `FILE_WRITE_ACTION`
  `static final RuntimePermission`
  `GET_CLASSLOADER_PERMISSION`
  `static final SecurityPermission`
  `GET_COMBINER_PERMISSION`
  `static final NetPermission`
  `GET_COOKIEHANDLER_PERMISSION`
  `static final RuntimePermission`
  `GET_PD_PERMISSION`
  `static final SecurityPermission`
  `GET_POLICY_PERMISSION`
  `static final NetPermission`
  `GET_PROXYSELECTOR_PERMISSION`
  `static final NetPermission`
  `GET_RESPONSECACHE_PERMISSION`
  `static final RuntimePermission`
  `GET_STACK_TRACE_PERMISSION`
  `static final SocketPermission`
  `LOCAL_LISTEN_PERMISSION`
  `static final RuntimePermission`
  `MODIFY_THREAD_PERMISSION`
  `static final RuntimePermission`
  `MODIFY_THREADGROUP_PERMISSION`
  `static final String`
  `PROPERTY_READ_ACTION`
  `static final String`
  `PROPERTY_RW_ACTION`
  `static final String`
  `PROPERTY_WRITE_ACTION`
  `static final AWTPermission`
  `READ_DISPLAY_PIXELS_PERMISSION`
  `static final NetPermission`
  `SET_COOKIEHANDLER_PERMISSION`
  `static final NetPermission`
  `SET_PROXYSELECTOR_PERMISSION`
  `static final NetPermission`
  `SET_RESPONSECACHE_PERMISSION`
  `static final AWTPermission`
  `SET_WINDOW_ALWAYS_ON_TOP_PERMISSION`
  `static final String`
  `SOCKET_ACCEPT_ACTION`
  `static final String`
  `SOCKET_CONNECT_ACCEPT_ACTION`
  `static final String`
  `SOCKET_CONNECT_ACTION`
  `static final String`
  `SOCKET_LISTEN_ACTION`
  `static final String`
  `SOCKET_RESOLVE_ACTION`
  `static final NetPermission`
  `SPECIFY_HANDLER_PERMISSION`
  `static final RuntimePermission`
  `STOP_THREAD_PERMISSION`
  `static final AWTPermission`
  `TOOLKIT_MODALITY_PERMISSION`
  `static final AWTPermission`
  `TOPLEVEL_WINDOW_PERMISSION`
  `static final AWTPermission`
  `WATCH_MOUSE_PERMISSION`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILE_DELETE_ACTION

    public static final String FILE_DELETE_ACTION
    See Also:
      - Constant Field Values

  - ### FILE_EXECUTE_ACTION

    public static final String FILE_EXECUTE_ACTION
    See Also:
      - Constant Field Values

  - ### FILE_READ_ACTION

    public static final String FILE_READ_ACTION
    See Also:
      - Constant Field Values

  - ### FILE_WRITE_ACTION

    public static final String FILE_WRITE_ACTION
    See Also:
      - Constant Field Values

  - ### SOCKET_RESOLVE_ACTION

    public static final String SOCKET_RESOLVE_ACTION
    See Also:
      - Constant Field Values

  - ### SOCKET_CONNECT_ACTION

    public static final String SOCKET_CONNECT_ACTION
    See Also:
      - Constant Field Values

  - ### SOCKET_LISTEN_ACTION

    public static final String SOCKET_LISTEN_ACTION
    See Also:
      - Constant Field Values

  - ### SOCKET_ACCEPT_ACTION

    public static final String SOCKET_ACCEPT_ACTION
    See Also:
      - Constant Field Values

  - ### SOCKET_CONNECT_ACCEPT_ACTION

    public static final String SOCKET_CONNECT_ACCEPT_ACTION
    See Also:
      - Constant Field Values

  - ### PROPERTY_RW_ACTION

    public static final String PROPERTY_RW_ACTION
    See Also:
      - Constant Field Values

  - ### PROPERTY_READ_ACTION

    public static final String PROPERTY_READ_ACTION
    See Also:
      - Constant Field Values

  - ### PROPERTY_WRITE_ACTION

    public static final String PROPERTY_WRITE_ACTION
    See Also:
      - Constant Field Values

  - ### ALL_PERMISSION

    public static final AllPermission ALL_PERMISSION

  - ### TOPLEVEL_WINDOW_PERMISSION

    public static final AWTPermission TOPLEVEL_WINDOW_PERMISSION

  - ### ACCESS_CLIPBOARD_PERMISSION

    public static final AWTPermission ACCESS_CLIPBOARD_PERMISSION

  - ### CHECK_AWT_EVENTQUEUE_PERMISSION

    public static final AWTPermission CHECK_AWT_EVENTQUEUE_PERMISSION

  - ### TOOLKIT_MODALITY_PERMISSION

    public static final AWTPermission TOOLKIT_MODALITY_PERMISSION

  - ### READ_DISPLAY_PIXELS_PERMISSION

    public static final AWTPermission READ_DISPLAY_PIXELS_PERMISSION

  - ### CREATE_ROBOT_PERMISSION

    public static final AWTPermission CREATE_ROBOT_PERMISSION

  - ### WATCH_MOUSE_PERMISSION

    public static final AWTPermission WATCH_MOUSE_PERMISSION

  - ### SET_WINDOW_ALWAYS_ON_TOP_PERMISSION

    public static final AWTPermission SET_WINDOW_ALWAYS_ON_TOP_PERMISSION

  - ### ALL_AWT_EVENTS_PERMISSION

    public static final AWTPermission ALL_AWT_EVENTS_PERMISSION

  - ### ACCESS_SYSTEM_TRAY_PERMISSION

    public static final AWTPermission ACCESS_SYSTEM_TRAY_PERMISSION

  - ### SPECIFY_HANDLER_PERMISSION

    public static final NetPermission SPECIFY_HANDLER_PERMISSION

  - ### SET_PROXYSELECTOR_PERMISSION

    public static final NetPermission SET_PROXYSELECTOR_PERMISSION

  - ### GET_PROXYSELECTOR_PERMISSION

    public static final NetPermission GET_PROXYSELECTOR_PERMISSION

  - ### SET_COOKIEHANDLER_PERMISSION

    public static final NetPermission SET_COOKIEHANDLER_PERMISSION

  - ### GET_COOKIEHANDLER_PERMISSION

    public static final NetPermission GET_COOKIEHANDLER_PERMISSION

  - ### SET_RESPONSECACHE_PERMISSION

    public static final NetPermission SET_RESPONSECACHE_PERMISSION

  - ### GET_RESPONSECACHE_PERMISSION

    public static final NetPermission GET_RESPONSECACHE_PERMISSION

  - ### CREATE_CLASSLOADER_PERMISSION

    public static final RuntimePermission CREATE_CLASSLOADER_PERMISSION

  - ### CHECK_MEMBER_ACCESS_PERMISSION

    public static final RuntimePermission CHECK_MEMBER_ACCESS_PERMISSION

  - ### MODIFY_THREAD_PERMISSION

    public static final RuntimePermission MODIFY_THREAD_PERMISSION

  - ### MODIFY_THREADGROUP_PERMISSION

    public static final RuntimePermission MODIFY_THREADGROUP_PERMISSION

  - ### GET_PD_PERMISSION

    public static final RuntimePermission GET_PD_PERMISSION

  - ### GET_CLASSLOADER_PERMISSION

    public static final RuntimePermission GET_CLASSLOADER_PERMISSION

  - ### STOP_THREAD_PERMISSION

    public static final RuntimePermission STOP_THREAD_PERMISSION

  - ### GET_STACK_TRACE_PERMISSION

    public static final RuntimePermission GET_STACK_TRACE_PERMISSION

  - ### CREATE_ACC_PERMISSION

    public static final SecurityPermission CREATE_ACC_PERMISSION

  - ### GET_COMBINER_PERMISSION

    public static final SecurityPermission GET_COMBINER_PERMISSION

  - ### GET_POLICY_PERMISSION

    public static final SecurityPermission GET_POLICY_PERMISSION

  - ### LOCAL_LISTEN_PERMISSION

    public static final SocketPermission LOCAL_LISTEN_PERMISSION

  - ### DO_AS_PERMISSION

    public static final AuthPermission DO_AS_PERMISSION

  - ### DO_AS_PRIVILEGED_PERMISSION

    public static final AuthPermission DO_AS_PRIVILEGED_PERMISSION